//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class OrderPayment
    {
        public int OrderPaymentId { get; set; }
        public int OrderId { get; set; }
        public System.DateTime Date { get; set; }
        public decimal Amount { get; set; }
        public int AccountId { get; set; }
        public int PaymentMethod { get; set; }
        public string Observations { get; set; }
        public System.DateTime Created { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public bool Active { get; set; }
        public int DeliveryOrderId { get; set; }
    
        public virtual Accounting Accounting { get; set; }
        public virtual DeliveryOrder DeliveryOrder { get; set; }
        public virtual Order Order { get; set; }
    }
}
